# NAPCOM Project Abbreviations/Glossary

\***\*bold terms need to be defined\*\***

_definitions in italics are best guesses_

# Program / Subroutine Names

Each of these is the name of a program or subroutine.
Its sub-points are program groups and their sub-points
are group variables.

- HPMSDAT - Process a new HPMS section file into HPMS value table
  - HP - Redundant. See DIVVY
  - TB - Redundant. See RHOBET
  - VM - Redundant. See PROCGRP
  - CN - Redundant. See Globally Defined Groups
  - **CV**
    - **stcnv** - (56 array)
    - **fccnv** - (19 array)
  - **AC**
    - **tm** - (10 array)
    - **tadt** - (10 array)
    - **ttsm** - (10 array)
    - **tsu** - (10 array)
    - **tcm** - (10 array)
    - **tfdt** - (10 array)
    - **hpadt** - (10 array)
    - **hpsu** - (10 array)
    - **hpcmb** - (10 array)
    - **nrn** - (10 array)
    - **nr** - (10 array)
    - **stpr**
    - fc - Functional class
    - badind - _Bad indicator?_
    - baddat - _Bad data?_
  - Inputs
    - yr
    - **stin**
    - **cnc**
    - **fcin**
    - **fac**
    - **nl**
    - **ptype**
    - **pkey**
    - **sn**
    - **psr**
    - **yri**
    - **lw**
    - **kf**
    - **df**
    - **cap**
    - **yf**
    - **cz**
    - **dr**
    - **pb**
    - **sb**
    - **ov**
    - **ti**
    - **su**
    - **cmb**
    - **sup**
    - **cmp**
    - **leng**
    - adt - average daily traffic
    - **expf**
    - **fadt**
    - iri - International Roughness Index
    - **snr**
    - **psrr**
    - **sampnumb**
  - Locals
    - st - Index of sotnv
    - **nyr**
    - i - _incrementor?_
    - **rn**
    - **record1**
    - **grrt**
- NAPHCAS - National Pavement Highway Cost Allocation System
- **PROCGRP**

  - **C3**
    - selst - Array of selected state FIPS codes for selected-section analysis.
    - selfc - Array of selected highway functional class codes for selected-section analysis.
    - selpv - Array of selected pavement codes for selected-section analysis.
  - **VM**
    - vmt - Vehicle Miles Traveled (24x12x51 matrix)
    - tvm - Total Vehicle Miles (3x12x51 matrix)
    - wtds - _Weight Disribution coefficients_ (40x4x10x24 matrix)
    - axwts - Axle Weights from axwts07.csv (9x40x24 matrix)
    - **vmtc** - (40x24x12 matrix)
    - **vmcr** - (40x24x12 matrix)
    - **vmu** - (40x24x2x12 matrix)
    - **typ** - (40 array)
    - **nax** - (24 array)
    - axtp - axle type, single/tandem/tridem (9x24 matrix)
  - **DP**
    - **mxdp** - (6x4x2 matrix)
    - **cldg** - (6 array)
    - **trgr**
  - **SC**
    - **rt** - (0-2 array)
    - totl - lefs array (6 array)
    - rhz - number of applications to failure of standard axle (6 array)
    - bez - coefficient of exponent (beta) (6 array)
    - thk - Thickness of pavement for which ESALs are derived (or slab thickness if found in RFAULTN)
    - pcond - Pavement condition
    - gf - growth factor
    - dels - Environmental serviceability loss
    - cdmg - Thermal cracking index
    - radt - equal to the appropriate dt(?) plus 50 (average daily traffic?)
    - pavt - pavement type
    - p - Index of vmc/LEFc
    - st - state code FIPS
    - fc - Redundant. See HPMSDAT/AC
    - age - number of years since pavement construction or reconstruction
    - czone - climate zone (1-4, key given in NAPAPP.docx)
    - z - index for selecting climate zone
    - **h**
    - **r**
  - **SH**
    - **shr** - (40x24x6 matrix)
    - ldsh - load related share (6 array)
    - dmge - damage according to PSR loss model (6 array)
    - **bdpv** - (12x2x51 matrix)
  - SD - _State data?_
    - subms - See PROCGRP/P2/subm (51 array)
    - thcks - See PROCGRP/P2/thck (51 array)
    - exsps - See PROCGRP/P2/exsp (51 array)
    - cexcs - See PROCGRP/P2/cexc (51 array)
    - prcls - See PROCGRP/P2/prcl (51 array)
    - clays - See PROCGRP/P2/clay (51 array)
    - acpis - See PROCGRP/P2/acpi (51 array)
    - rnges - See PROCGRP/P2/rnge (51 array)
    - pnins - See PROCGRP/P2/peni (51 array)
    - rbsps - See PROCGRP/P2/rbsp (51 array)
    - vcoas - See PROCGRP/P2/vcoa (51 array)
    - aasrs - See PROCGRP/P2/aasr (51 array)
    - tpmms - See PROCGRP/P2/tpmm (51 array)
    - plshs - See PROCGRP/P2/plsh (51 array)
    - **cznes** - (51 array)
    - ksubs - See PROCGRP/P2/ksub (51 array)
    - ecncs - See PROCGRP/P2/ecnc (51 array)
    - muses - See PROCGRP/P2/mu (51 array)
    - jtsps - See PROCGRP/P2/jtsp (51 array)
    - **jtsrs** - (51 array)
    - drcfs - See PROCGRP/P2/drcf (51 array)
    - thkbs - See PROCGRP/P2/thkb (51 array)
    - denss - See PROCGRP/P2/dens (51 array)
    - ftcys - See PROCGRP/P2/ftcy (51 array)
    - aaris - See PROCGRP/P2/aari (51 array)
    - prefs - See PROCGRP/P2/pref (51 array)
    - frzis - See PROCGRP/P2/frzi (51 array)
    - tdifs - See PROCGRP/P2/tdif (51 array)
    - skews - See PROCGRP/P2/skew (51 array)
    - thmis - See PROCGRP/P2/thmi (51 array)
    - eascs - See PROCGRP/P2/easc (51 array)
    - ebses - See PROCGRP/P2/ebse (51 array)
    - tbses - See PROCGRP/P2/tbse (51 array)
    - esubs - See Procgrp/P2/esub (51 array)
  - **RC**
    - **rc**
    - **rcsts**
  - **P2**
    - subm - subgrade modulus (psi)
    - thck - thickness of asphalt layer
    - exsp - exchange sodium capacity
    - cexc - cation exchange capacity of subgrade
    - **prcl**
    - clay - clay percent
    - acpi - activity (plasticity index / percent clay)
    - rnge - range of values of Thornthwaite moisture index for a 20 year period
    - peni - penetration index of asphalt
    - rbsp - ring and ball softening point (def F)
    - vcoa - volumetric concentration of the aggregate
    - aasr - average annual solar radiation (Langleys per day)
    - tpmm - minimum monthly temperature
    - plsh - dummy variable (1 = polish susceptible aggregate, 0 = not)
    - ksub - modulus of subgrade reaction
    - ecnc - concrete modulus of elasticity
    - mu - Poisson's ratio
    - jtsp - average joint spacing (feet)
    - **drcf**
    - thkb - thickness of base layer (inches)
    - **dens**
    - ftcy - spalling damage (zero at new pavement to 1.0 at existence of 40 percent spalling)
    - aari - average annual rainfall (inches)
    - pref - presence of preformed joint sealant = 1, other types = 0
    - frzi - freezing index (32 deg F CE method)
    - tdif - difference between average maximum and monthly temperatures
    - **skew**
    - thmi - Thornthwaite moisture index
    - easc - asphalt modulus of elasticity (psi)
    - ebse - elastic modulus of base layer
    - tbse - thickness of base layer
    - esub - elastic modulus of subgrade
    - **stbb**
  - **P3**
    - slbt - slab thickness (inches)
    - tobl - thickness of base layer (inches)
    - dodb - dowel diameter in inches (d=0 for nondoweled pavements)
    - cbrs - California bearing ratio of foundation soil
    - aarf - average annual rainfall (cm)
    - **cste**
    - **avmt**
    - **pump**
    - styp - type of subbase soil (0 = granular, 1 = coarse)
    - drnt - drainage type (0 = no underdrains, 1 = yes)
    - btyp - type of base (0 = nonstabilized, 1 = stabilized)
    - jlts - joint load transfer system (0 = undowelled, 1 = dowelled)
    - **mosc**
    - **mosf**
    - **dcrk**
    - **ract**
  - **S2**
    - **lg** - (1000 array)
    - **dt** - (1000 array)
    - **ef** - (1000 array)
    - **cp** - (1000 array)
    - **cc** - (1000 array)
    - **fa** - (1000 array)
    - **ps** - (1000 array)
    - **th** - (1000 array)
    - **ln** - (1000 array)
    - pt - Terminal PSI (1000 array)
    - **lw** - (1000 array)
    - **ts** - (1000 array)
    - **tc** - (1000 array)
    - **kk** - (1000 array)
    - **df** - (1000 array)
    - **g** - (1000 array)
    - **pb** - (1000 array)
    - **sb** - (1000 array)
    - **ov** - (1000 array)
    - **ti** - (1000 array)
    - **cz** - (1000 array)
    - **dr** - (1000 array)
  - **S3**
    - **lane**
    - lwdth - lane width
    - **tfac**
    - ctraf - summation of accumulated load equivalents, rh(ax)
    - **hpadt**
    - **hpsu**
    - **hpcmb**
    - **tm**
    - **sadt** - _Secondary road average daily traffic?_ _seasonal average daily traffic?_
    - **afac**
    - **sfac**
    - **leng**
    - **expf**
    - **kfact**
    - **dfact**
    - **capac**
    - gnom - damage
    - psr - pavement serviceability rating
    - **sexp**
    - actrf - accumulated traffic (based on age of pavement)
    - sthr - percentage of thermal cracking
    - **nldsh**
    - sdas - swell/depression damage (zero at new pavement to 1.0 at maximum swelling)
    - spall - spalling damage (zero at new pavement to 1.0 at existence of 40 percent spalling)
    - **opcs**
  - Locals
    - **mult**
    - **lnmi**
    - **ib**
    - **prst**
    - **d**
    - yr - _year?_
    - **wg**
    - **vc**
    - **trec**
    - **hrec**
    - **rrec**
    - **grec**
    - **n**
    - **i**
    - **czi** - (9 tuple)
    - **hc** - (12 tuple)
    - **rg** - (51 tuple)

- READFLS - Read input files
  - SD - Redundant. See PROCGRP
  - RC - Redundant. See PROCGRP
  - AB - Redundant. See RHOBET
  - CN - Redundant. See Globally Defined Groups
  - DP - Redundant. See PROCGRP
  - RP - Redundant. See RBJCP
  - VM - Redundant. See PROCGRP
  - Locals
    - **st**
    - i - incrementor
    - z - recursive incrementor?
    - d - recursive incrementor?
- HPSET - Set values used to convert HPMS state and functional class codes to NAPCOM indexes
  - **HP** - (different from the HP in DIVVY)
    - **l** - (10 x 2000 matrix)
    - **a** - (10 x 2000 matrix)
    - **x** - (10 x 2000 matrix)
    - **c** - (10 x 2000 matrix)
    - **cc** - (10 x 2000 matrix)
    - **fa** - (10 x 2000 matrix)
    - **ps** - (10 x 2000 matrix)
    - **th** - (10 x 2000 matrix)
    - **n** - (10 x 2000 matrix)
    - pt - Terminal PSI (10 x 2000 matrix)
    - **w** - (10 x 2000 matrix)
    - **ts** - (10 x 2000 matrix)
    - **tc** - (10 x 2000 matrix)
    - **k** - (10 x 2000 matrix)
    - **d** - (10 x 2000 matrix)
    - **g** - (10 x 2000 matrix)
    - **n1** - (10 x 2000 matrix)
    - **n2** - (10 x 2000 matrix)
    - **n3** - (10 x 2000 matrix)
    - **n4** - (10 x 2000 matrix)
    - **n5** - (10 x 2000 matrix)
    - **n6** - (10 x 2000 matrix)
    - dum - dummy variable to skip label column in LEFS cswv file (109x100x40 matrix)
    - **dm2** - (206 array)
  - **TB** - (different from TB in RHOBET)
    - fas - Facility Type (0-9x11 matrix)
    - ads - ADT Range (0-7:11 matrix)
    - nls - Number of Lanes (0-10:11 matrix)
    - pts - Pavement Type (0-99:11 matrix)
    - pks - Pavement Key (0-9x11 matrix)
    - sns - Structural Number / Thickness (0-99:11 matrix
    - pss - Pavement Serviceability Index (0-99:11 matrix
    - yrs - Year of Improvement (0-99:11 matrix
    - lws - Lane Width (0-99:11 matrix
    - tss - Single Unit Truck Percents (0-99:11 matrix
    - tcs - Combination Truck Percents (0-99:11 matrix
    - kfs - Single Unit Factors (0-99:11 matrix
    - dfs - Directional Factors (0-101:11 matrix
    - cps - Capacity (0-99:11 matrix
    - yfs - Forecast Year (0-99:11 matrix
    - czs - Climate Zone (0-99:11 matrix
    - drs - Drainage Type (0-9x11 matrix)
    - grs - Growth Rate (25x11 matrix
    - fan - Facility type (0-9x11 matrix)
    - adn - ADT range (0-7:11 matrix)
    - nln - Number of Lanes (0-10:11 matrix)
    - ptn - Pavement type (0-99:11 matrix
    - jsn - Joint spacing (0-99:11 matrix
    - jln - Joint Load Transfer (0-9x11 matrix)
    - pkn - Pavement Key (0-9x11 matrix)
    - snn - Structural Number / Thickness (0-99:11 matrix
    - psn - Pavement Serviceability Index (0-99:11 matrix
    - yrn - Year of Improvement (0-99:11 matrix
    - lwn - Lane Width (0-99:11 matrix
    - tsn - Single Unit Truck Percents (0-99:11 matrix
    - tcn - Combination Truck Percents (0-99:11 matrix
    - kfn - Single Unit Factors (0-99:11 matrix
    - dfn - Directional Factors (0-101:11 matrix
    - cpn - Capacity (0-99:11 matrix
    - yfn - Forecast Year (0-99:11 matrix
    - czn - Climate Zone (0-99:11 matrix
    - drn - Drainage Type (0-9x11 matrix)
    - grn - Growth Rate (25x11 matrix
    - **dm3** - (140x100 matrix)
    - **dm4** - (68 array)
  - CV - Redundant. See HPMSDAT
  - AC - Redundant. See HPMSDAT
  - Locals
    - i - incrementor
    - **nrw**
    - **tnam**
- RSLTPRN - performs DIVVY, but also writes state and then final results by functional class
- DIVVY - Compiles vehicle class and weight group shares after each section fails.
  - CN - Redundant. See Globally Defined Groups
  - DP - Redundant. See PROCGRP
  - SC - Redundant. See PROCGRP
  - S3 - Redundant. See PROCGRP
  - RC - Redundant. See PROCGRP
  - SH - Redundant. See PROCGRP
  - VM - Redundant. See PROCGRP
  - **HP**
    - **flm** - (6x12x2 matrix)
    - **almsh** - (9x40x24x6x2x12 matrix)
    - **shrs** - (40x24x12 matrix)
    - **flmc** - (6x2 matrix)
    - **flmld** - (2 array)
    - **ashrs** - (12x2 marix)
    - **tvmt** - (12x2 matrix)
  - TB - Redundant. See RHOBET
  - Local
    - **sum** - (2 array)
    - **fld** - (6x12x2 matrix)
    - **shrd** - (6x2x40x24 matrix)
    - **flmld** - (2 array)
    - **axshrs** - (9x40x24x6x2 matrix)
    - **vmwt** - (40x24x2 matrix)
    - **r** - (3 array)
    - **m** - (3 array)
    - **b** - (3 array)
    - **x**
    - **y**
    - **xm**
    - **ym**
    - **sx**
    - **sy**
    - **xy**
    - **w18**
    - **adj**
    - vc - index of VMC
    - **wg**
    - **d**
    - **yr**
    - **ax**
    - **fs**
    - **n**
    - **a**
    - **i**
- ZERSHR - Performs DIVVY, but also initializes the _share arrays (?)_
- RHOBET Arguments(sec) - Computes the Rho and Beta values for damage functions of flexible pavements using "BRE" equations
  - **AB**
    - **ab** - (4x11x2x3 matrix)
  - CN - Redundant. See Globally Defined Groups
  - DP - Redundant. See PROCGRP
  - SC - Redundant. See PROCGRP
  - SH - Redundant. See PROCGRP
  - SD - Redundant. See PROCGRP
  - P2 - Redundant. See PROCGRP
  - VM - Redundant. See PROCGRP
  - **TB**
    - **axsh** - (9x40x24x6 matrix)
  - **NT**
    - **nrut** - (24x2 matrix)
    - **mlds** - (24x2 matrix)
  - **EE**
    - **EE3**
    - **EE6**
    - **EE12**
    - **EE24**
    - **EE30**
    - **EE60**
  - Locals
    - **dum1**
    - **dum2**
    - **dum3**
    - **dum4**
    - **rh18**
    - **be18**
    - lefs - summation of accumulated load equivalents, RH(ax)
    - thk2 - thickness square factor (thk\*thk)
    - Lx - Axle load (thousands of pounds) (or kips in 2012??)
    - strn - structural number of pavement and base (as in AASHTO Pavement Design Guide)
    - fcrackn - redundant. see FCRACKN
    - rutn - redundant. see RUTN
    - tirep - tire pressure
    - **rrand**
    - dpth - effective depth of asphalt layer (equivalent to 2.3 times its thickness)
    - doal - thickness of asphalt layer (inches)
    - **vshr**
    - **rand**
    - **sec**
    - **d**
    - L2 - Dummy axle descriptor (=2 for tandems, aasho guide)
    - **vc**
    - **wg**
    - **ax**
    - **il**
    - **sc**
- CONTROL - Appears to be main function for launching other subroutines
  - CN - Redundant. See Globally Defined Groups
  - C3 - Redundant. See PROCGRP
  - Locals
    - there - Logical var or testing file existence
    - rsp - General-purpose single-character variable used for short user responses or as a substring.
    - fnam - General purpose local character variable used to enter user-supplied file names or other responses.
- RBJCP - Computes Rho and Beta values for jointed plain concrete pavements and for jointed reinforced concrete pavement
  - **RP**
    - **rp** - (2x19x4 matrix)
  - SH - Redundant. See PROCGRP
  - VM - Redundant. See PROCGRP
  - DP - Redundant. See PROCGRP
  - SD - Redundant. See PROCGRP
  - P2 - Redundant. See PROCGRP
  - P3 - Redundant. See PROCGRP
  - TB - Redundant. See PAVCOND
  - Locals
    - **rhor**
    - Lx - Redundant. See RHOBET/Locals
    - **sum**
    - rfaultn - See RFAULTN
    - esal - Redundant. See Esal
    - lefs - summation of accumulated load equivalents
    - **d** - (pavt-1)
    - L2 - Redundant. See RHOBET/Locals
    - **wg**
    - **vc**
    - **ax**
- Esal - standard AASHTO ESALs for specified axle load and type Arguments (Lx, L2)
  - SC - Redundant. See PROCGRP
  - Locals
    - **lgt**
    - gt - Measure of proportionally lost PSI (AASHO guide)
    - b18 - beta for 18-kip single axle
    - Lx - Redundant. See RHOBET/Locals
    - beta - "Same as in AASHO guide" (?)
    - tpsi - tire psi? initialized at 2.5
- FCRACKN - number of applications to failure for an axle load of a given weight and type. Arguments (Lx, L2, sec)
  - CN - Redundant. See Globally Defined Groups
  - P2 - Redundant. See PROCGRP
  - EE - Redundant. See RHOBET
  - Locals
    - L2 - Redundant. See RHOBET/Locals
    - sec - Redundant. See RHOBET/Locals
    - Lx - Redundant. See RHOBET/Locals
    - M - 4.84 \* (Vb / (Vb + Vv) 0.6875)
    - **C**
    - EP - tensile strain at bottom of asphalt layer (see below)
    - Vb - percent volume of asphalt in the mix
    - Vv - percent volume of air voids in the mix
- RUTN - Arguments (Lx, L2, sc, sec) - Calculate the number of axle passes to failure for a given axle
  - CN - Redundant. See Globally Defined Groups
  - DP - Redundant. See PROCGRP
  - SC - Redundant. See PROCGRP
  - P2 - Redundant. See PROCGRP
  - **NT**
    - **nrut** - (24x2 matrix)
    - **mlds** - (24x2 matrix)
  - Locals
    - L2 - Redundant. See RHOBET/Locals
    - sec - Redundant. See RHOBET/Locals
    - Lx - Redundant. See RHOBET/Locals
    - n - number of applications of axle load of interest Initialized at 1x10^6
    - a1 - Initialized at 0.6
    - a2 - Initialized at 0.7
    - a3 - Initialized at 0.7
    - rutd - rut depth (inches) for a given number of load applications of a given axle
    - dmge - Redundant. See PROCGRP/SH
    - csac - CSAC
    - csbase - see CSBASE
    - cssubg - see CSSUBG
    - page - _Page._
    - i - _counter variable?_
- RDPTH - Arguments (actrf, yr) - rut depth for mixed traffic
  - SC - Redundant. See PROCGRP
  - P2 - Redundant. See PROCGRP
  - VM - Redundant. See PROCGRP
  - Locals
    - tirep - Redundant. See RHOBET/Locals
    - actrf - Redundant. See AGEFND/Locals
    - Lx - Redundant. See RHOBET/Locals
    - n - Redundant. See RUTN/Locals
    - a1 - Redundant. See RUTN/Locals
    - a2 - Redundant. See RUTN/Locals
    - a3 - Redundant. See RUTN/Locals
    - inc1 - _incrementor 1_
    - inc2 - _incrementor 2_
    - inc3 - _incrementor 3_
    - sum1 - _sum 1_
    - sum2 - _sum 2_
    - sum3 - _sum 3_
    - csac - Redundant. See RUTN/Locals
    - csbase - Redundant. See RUTN/Locals
    - cssubg - Redundant. See RUTN/Locals
    - L2 - Redundant. See RHOBET/Locals
    - ax - Redundant. See DIVVY/Locals
    - wg - Redundant. See DIVVY/Locals
    - vc - Redundant. See DIVVY/Locals
    - yr - Redundant. See DIVVY/Locals
- CSAC - Arguments (Lx, L2) - Calculate the compressive strains at the top of the AC layer
  - P2 - Redundant. See PROCGRP
  - Locals
    - Lx - Redundant. See RHOBET/Locals
    - L2 - Redundant. See RHOBET/Locals
- CSBASE - Arguments (Lx, L2) - Calculate the compressive strains at base layer (calculate strain base)
  - P2 - Redundant. See PROCGRP
  - Locals
    - Lx - Redundant. See RHOBET/Locals
    - L2 - Redundant. See RHOBET/Locals
    - Tmb - Redundant. See CSSUBG/Locals
- CSSUBG - Arguments (Lx, L2) - Calculate the compressive strains at subgrade layer (calculate strain subgrade)
  - P2 - Redundant. See PROCGRP
  - Locals
    - Lx - Redundant. See RHOBET/Locals
    - L2 - Redundant. See RHOBET/Locals
    - Tmb - thickness + 1/2 (tbase)
- RFAULTN - Arguments (Lx, L2) - Calculate the number of applications of that particular load to failure
  - P2 - Redundant. See PROCGRP
  - P3 - Redundant. See PROCGRP
  - Locals
    - wfe0 - See NAPAPP.docx
    - wfe36 - See NAPAPP.docx
    - wul0 - wfe0 \* LTE0 / (1 + LTE0)
    - wul36 - wfe36 \* LTE36 / (1 + LTE36)
    - wul - unloaded corner deflection
    - wl0 - wul0 / LTE0
    - wl36 - wul36 / LTE36
    - wl - loaded corner deflection
    - l - radius of relative stiffness
    - lsq - l^2
    - aggkl - 2. _ exp(1 + 0.2 _ dodb ^ 2 0.17 \* jtsp / l)
    - LTE0 - 0.01 / (0.01 + 0.012 \* aggkl ^ ( 0.849))
    - LTE36 - 0.01 / (0.01 + 0.003483 \* aggkl ^ ( 1.13677))
    - DE - differential energy of subgrade deformation
    - axsp - Axle spacing for tandems and tridems
    - Lx - Redundant. See RHOBET/Locals
    - L2 - Redundant. See RHOBET/Locals
    - thk - Redundant. See PROCGRP/SC
- AGEFND - find age of pavement based on PSR
  - SC - Redundant. See PROCGRP
  - DP - Redundant. See PROCGRP
  - Locals
    - gnom - Redundant - See S3
    - psr - redundant - See S3
    - actrf - Redundant - See S3
- CELPRNT - does what DIVVY does, but writes the state and final results by functional class. Called by PROCGRP after completing sections in each highway type in each state. Writes to a checkout file and the screen.
- PROCVMT - Processes VMT (Vehicle Miles Traveled) data
  - VM - Redundant. See PROCGRP
  - Locals
    - **rg** - (51 array)
    - **hc** - (12 array)
    - h
    - r
    - i
    - vc
    - wg
    - ax
    - st
    - fc
    - L2
    - Lx
    - sum - total weight of all axles
- PAVCOND - Pavement Condition. Takes (yr: year) as an argument
  - CN - Redundant. See Globally Defined Groups
  - VM - Redundant. See PROCGRP
  - S3 - Redundant. See PROCGRP
  - DP - Redundant. See PROCGRP
  - SC - Redundant. See PROCGRP
  - SH - Redundant. See PROCGRP
  - SD - Redundant. See PROCGRP
  - P2 - Redundant. See PROCGRP
  - P3 - Redundant. See PROCGRP
  - Locals
    - rdpth - Redundant. See RDPTH
    - yr - _year?_

# Globally Defined Groups

These globally defined group names define an object for which its sub-bullets are properties. It's important to note that the group names never had to be two letters... they're just like that...

- CN - control options
  - ap - Analysis period (in years)
  - hpstat - HPMS-optimized file flag (HPms STATus)
  - mode - Single select mode or systemwide analysis flag
  - nskp - Skip Factor: 1 / Fraction of Sections to Read
  - ntrp - interpolate rutting boolean flag
  - prnt - print summary results for each section boolean flag
  - trdif - Integer code used to specify whether you want to:
    0. Use average traffic levels for all sections within each state / functional-class cell, 1) Use traffic levels specified in section data, calibrated to control totals.

# Additional Notes:

- State codes are codified numerically using [FIPS Standards](https://www.mcc.co.mercer.pa.us/dps/state_fips_code_listing.htm)
- [Video demonstration here](https://livemarshall-my.sharepoint.com/:v:/g/personal/brinson6_live_marshall_edu/EfV1ckbjFSBKm2enhD5ReXcBUqvM1y4InN9O6ad3VIWs8A?e=FwOsbL)
